aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/ChangeLog8
-rwxr-xr-xscripts/commit28
2 files changed, 35 insertions, 1 deletions
diff --git a/scripts/ChangeLog b/scripts/ChangeLog
index 7bf0c509d..61034c23a 100644
--- a/scripts/ChangeLog
+++ b/scripts/ChangeLog
@@ -1,6 +1,12 @@
+Fri Nov 27 12:39:29 CET 1998 Werner Koch <[email protected]>
+
+
+ * commit: New
+
+
Fri Nov 20 12:01:57 1998 Werner Koch ([email protected])
- * mkdiff: signs the pacth file
+ * mkdiff: signs the patch file
Sat Oct 17 16:10:16 1998 Werner Koch ([email protected])
diff --git a/scripts/commit b/scripts/commit
new file mode 100755
index 000000000..18e540078
--- /dev/null
+++ b/scripts/commit
@@ -0,0 +1,28 @@
+#!/bin/bash
+# need a Posix shell, so we simply use bash
+
+set -e
+
+uid=`id -u`
+date=`date`
+name=$(awk -F: "\$3==$uid { print \$5 }" /etc/passwd )
+addr="<`id -un`@`hostname -d`>"
+
+for i in `find . -name Changes -print`; do
+ dir=`dirname $i`
+ if [ -s $dir/Changes ]; then
+ lines=`wc -l <$dir/Changes`
+ echo "$date $name $addr" >$dir/ChangeLog.new
+ echo >>$dir/ChangeLog.new
+ cat $dir/Changes >>$dir/ChangeLog.new
+ echo >>$dir/ChangeLog.new
+ [ -f $dir/ChangeLog ] && cat $dir/ChangeLog >>$dir/ChangeLog.new
+ echo -n > $dir/Changes
+ [ -f $dir/ChangeLog ] && rm $dir/ChangeLog
+ mv $dir/ChangeLog.new $dir/ChangeLog
+ echo "$lines new lines in $dir/ChangeLog"
+ fi
+done
+
+cvs commit -m "See ChangeLog: $date $name" $*
+